<html>
<head>
<title>OgreD3D9DepthBuffer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9DepthBuffer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9DepthBuffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9DEPTHBUFFER_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9DEPTHBUFFER_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreDepthBuffer_8h.html">OgreDepthBuffer.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre 
<a name="l00035"></a>00035 {
<a name="l00036"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html">00036</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D9DepthBuffer.html">D3D9DepthBuffer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>
<a name="l00037"></a>00037     {
<a name="l00038"></a>00038     <span class="keyword">public</span>:
<a name="l00039"></a>00039         <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a2bfd06803e6627d29b6eef9fd6bc6319">D3D9DepthBuffer</a>( <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> poolId, <a class="code" href="classOgre_1_1D3D9RenderSystem.html" title="Implementation of DirectX9 as a rendering system.">D3D9RenderSystem</a> *renderSystem, IDirect3DDevice9 *creator,
<a name="l00040"></a>00040                          IDirect3DSurface9 *depthBufferSurf,
<a name="l00041"></a>00041                          D3DFORMAT fmt, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> width, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> height,
<a name="l00042"></a>00042                          <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> fsaa, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> multiSampleQuality, <span class="keywordtype">bool</span> <a class="code" href="group__RenderSystem.html#ga71910f006c803f2e45b8c11a89f67a64">isManual</a> );
<a name="l00043"></a>00043         <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#ad0bf97863bd3b2d70e3b46dea48ca8f7">~D3D9DepthBuffer</a>();
<a name="l00044"></a>00044 
<a name="l00046"></a>00046         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a3ec5e775e05706b21da9e10546b3ea35">isCompatible</a>( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *renderTarget ) <span class="keyword">const</span>;
<a name="l00047"></a>00047 
<a name="l00048"></a>00048         IDirect3DDevice9* <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a4a28df0efc2900e69b261a4151673267">getDeviceCreator</a>() <span class="keyword">const</span>;
<a name="l00049"></a>00049         IDirect3DSurface9* <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#adefd485a2df8c04911417fb000919b8a">getDepthBufferSurface</a>() <span class="keyword">const</span>;
<a name="l00050"></a>00050 
<a name="l00051"></a>00051     <span class="keyword">protected</span>:
<a name="l00052"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a74f5456e242df389282b328da26c0ce0">00052</a>         IDirect3DSurface9           *<a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a74f5456e242df389282b328da26c0ce0">mDepthBuffer</a>;
<a name="l00053"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html#acacf694a400ea2e207ccd14f55016544">00053</a>         IDirect3DDevice9            *<a class="code" href="classOgre_1_1D3D9DepthBuffer.html#acacf694a400ea2e207ccd14f55016544">mCreator</a>;
<a name="l00054"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html#ae2d26412d35e46387036bd4d1c38529f">00054</a>         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>                      <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#ae2d26412d35e46387036bd4d1c38529f">mMultiSampleQuality</a>;
<a name="l00055"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a6e0d605048bfc327892351079f0739a2">00055</a>         D3DFORMAT                   <a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a6e0d605048bfc327892351079f0739a2">mD3DFormat</a>;
<a name="l00056"></a><a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a58a49d3af969a33f092b00f1158729b3">00056</a>         <a class="code" href="classOgre_1_1D3D9RenderSystem.html" title="Implementation of DirectX9 as a rendering system.">D3D9RenderSystem</a>            *<a class="code" href="classOgre_1_1D3D9DepthBuffer.html#a58a49d3af969a33f092b00f1158729b3">mRenderSystem</a>;
<a name="l00057"></a>00057     };
<a name="l00058"></a>00058 }
<a name="l00059"></a>00059 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
